> For the complete documentation index, see [llms.txt](https://api-docs.fcfpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.fcfpay.com/reference/api-requests-v1-deprecated/deposit-callback.md).

# Deposit Callback

## Deposit Callback

In this step, we are sending you a webhook with the status of the payement to your provided URL in the FCF Pay dashboard as a project callback URL.&#x20;

This webhook happens when you receive payment.

The request has a JSON body value like this:

```
{
  "success": true,
  "data": {
    "order_id": "68",
    "user_id": "",
    "deposited": true,
    "txid": "0x9cf24f76778e517511f6178f114a1d3e95e3c7fdbfcbe52a961b6d748e860849", 
    "unique_id": "0x9cf24f76778e517511f6178f114a1d3e95e3c7fdbfcbe52a961b6d748e860849_0",
    "fiat_amount": "26.12"
    "fiat_currency": "USD"
    "amount": "64464",
    "currency": "BTC",
    "confirm_blocks": 72,
    "fees": "662",
    "decimal": 8,
    "fee_decimal": 8
  },
  "message": "Payment Received"
}
```

| Field           | Description                                                                                                           |
| --------------- | --------------------------------------------------------------------------------------------------------------------- |
| order\_id       | it's the same order Id which you sent us in create order                                                              |
| user\_id        | The user\_id is the same as you sent us in create-order                                                               |
| txid            | txid is the deposit transaction id                                                                                    |
| unique\_id      | The unique id is that order unique id which you should take and call to check-source endpoint for checking the source |
| deposited       | True/False: when it's true the transaction is successfully deposited, when it's false transaction is not deposited    |
| confirm\_blocks | Confiramation blocks count                                                                                            |
| fiat\_amount    | The fiat amount is converted by using CMC API                                                                         |
| fiat\_currency  | The fiat\_amount currency name is the same as you sent us in create-order                                             |
| amount          | Transaction amount                                                                                                    |
| currency        | The currency is transferred cryptocurrency name                                                                       |
| fees            | The fees is miners fees for transaction                                                                               |
| decimal         | The decimal depends on paid cryptocurrencies                                                                          |
| fee\_decimal    | The fee decimal depends on paid cryptocurrencies                                                                      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.fcfpay.com/reference/api-requests-v1-deprecated/deposit-callback.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
